• Getting Started
  • Components
    • Barcodes
    • Buttonsupdated
    • Chartsupdated
    • Conversational UIupdated
    • Data Query
    • Date Inputsupdated
    • Date Math
    • Dialogsupdated
    • Drawing
    • Dropdownsupdated
    • Editorupdated
    • Excel Export
    • File Saver
    • Filter
    • Ganttupdated
    • Gauges
    • Gridupdated
    • Iconsupdated
    • Indicators
    • Inputsupdated
    • Labels
    • Layoutupdated
    • ListBoxupdated
    • ListView
    • Mapbeta
    • Menusupdated
    • Navigationupdated
    • Notification
    • Pagerupdated
    • PDF Export
    • PivotGridupdated
    • Popup
    • ProgressBars
    • Ripple
    • Schedulerupdated
    • ScrollViewupdated
    • Sortableupdated
    • ToolBarupdated
    • Tooltipsupdated
    • TreeList
    • TreeView
    • Typography
    • Uploadsupdated
    • Utilitiesupdated
  • Styling & Themes
  • Common Features
  • Project Setup
  • Knowledge Base
  • Sample Applications
  • FAQ
  • Troubleshooting
  • Updates
  • Changelogs

Getting Started with the Kendo UI for Angular Labels

This guide provides the information you need to start using the Kendo UI for Angular Labels—it includes instructions about the available installation approaches, the required dependencies, the code for running the project, and links to additional resources.

The Labels Package is part of Kendo UI for Angular, a professional grade UI library with 100+ components for building modern and feature-rich applications. To try it out sign up for a free 30-day trial.

After the completion of this guide, you will be able to achieve an end result as demonstrated in the following example.

Example
View Source
Change Theme:

Setting Up Your Angular Project

Before you start with the installation of any Kendo UI for Angular control, ensure that you have a running Angular project. The prerequisites to accomplish the installation of the components are always the same regardless of the Kendo UI for Angular package you want to use, and are fully described in the section on setting up your Angular project.

Installing the Components

You can choose to use either of the following two approaches for installing the Kendo UI for Angular package and the styles you want to apply:

Quick Setup with Angular CLI

The quick setup presents an automatic approach for adding packages with Angular CLI through the ng-add command. It is suitable for saving time and efforts as ng-add executes in a single step a set of otherwise individually needed commands.

To add the Kendo UI for Angular Labels package, run the following command:

ng add @progress/kendo-angular-label

As a result, the ng-add command will perform the following actions:

  • Add the @progress/kendo-angular-label package as a dependency to the package.json file.
  • Import the LabelModule in the current application module.
  • Register the Kendo UI Default theme in the angular.json file.
  • Add all required peer dependencies to the package.json file.
  • Trigger npm install to install the theme and all peer packages that are added.

Manual Setup

The manual setup provides greater visibility and better control over the files and references installed in your Angular application. You can install the required peer dependencies and a Kendo UI theme by running separate commands for each step and import the desired component modules in your application root or feature module.

  1. Install the Labels package together with its dependencies by running the following command:

    npm install --save @progress/kendo-angular-label @progress/kendo-angular-common @progress/kendo-licensing
  2. If you need all Labels components in your application, import LabelModule. Otherwise import the FloatingLabel component only by adding its individual module.

    The Labels package exports the following individual modules:

    ModuleComponent
    LabelModuleLabel and FloatingLabel
    FloatingLabelModuleFloatingLabel
    • To add all Labels components, import the LabelModule in your root application or feature module.

      import { NgModule } from '@angular/core';
      import { BrowserModule } from '@angular/platform-browser';
      import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
      import { LabelModule } from '@progress/kendo-angular-label';
      import { AppComponent } from './app.component';
      
      @NgModule({
          bootstrap:    [AppComponent],
          declarations: [AppComponent],
          imports:      [BrowserModule, BrowserAnimationsModule, LabelModule]
      })
      export class AppModule {
      }
    • To add the FloatingLabel component only, import the FloatingLabelModule module in your root application or feature module.

      import { NgModule } from '@angular/core';
      import { BrowserModule } from '@angular/platform-browser';
      import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
      import { FloatingLabelModule } from '@progress/kendo-angular-label';
      import { AppComponent } from './app.component';
      
      @NgModule({
          bootstrap:    [AppComponent],
          declarations: [AppComponent],
          imports:      [BrowserModule, BrowserAnimationsModule, FloatingLabelModule]
      })
      export class AppModule {
      }
  3. The next step is to style the components by installing one of the available Kendo UI themes—Kendo UI Default, Kendo UI Material, or Kendo UI Bootstrap.

    3.1 To start using a theme, install its package through NPM.

    • Default theme

      npm install --save @progress/kendo-theme-default
    • Bootstrap theme

      npm install --save @progress/kendo-theme-bootstrap
    • Material theme

      npm install --save @progress/kendo-theme-material

    3.2 After the theme package is installed, reference it in your project. You can include a Kendo UI theme in your project in one of the following ways:

Using the Components

  1. After successfully installing the Labels package and importing the desired module, add the corresponding tags of the components you need in the app.component.html. For example, if you need the FloatingLabel component, add the following code:

    <kendo-floatinglabel text="Enter Age">
        <kendo-numerictextbox></kendo-numerictextbox>
    </kendo-floatinglabel>
  2. Build and serve the application by running the following command in the root folder.

    ng serve
  3. Point your browser to http://localhost:4200 to see the Kendo UI for Angular FloatingLabel component on the page.

Activating Your License Key

As of December 2020, using any of the UI components from the Kendo UI for Angular library requires either a commercial license key or an active trial license key. If your application does not contain a Kendo UI license file, activate your license key.

Next Steps

Dependencies

The following table lists the specific functionalities that are provided by each of the Labels dependencies as per package:

Package NameDescription
@angular/commonProvides the commonly-needed services, pipes, and directives provided by the Angular team. For more information, refer to the official Angular documentation.
@angular/coreContains critical runtime parts of the Angular framework that are needed by every application. For more information, refer to the official Angular documentation.
@progress/kendo-angular-commonContains common utilities that are needed by every Kendo UI for Angular component.
@progress/kendo-licensingContains the kendo-ui-license CLI utility for license management and the internal infrastructure related to licensing.
rxjsProvides the RxJS library for reactive programming which uses Observables for an easier composition of asynchronous or callback-based code.

Learning Resources

New to KendoReact? Learn about KendoReact Free.

Getting Started with the KendoReact Labels

Updated on Sep 2, 2026

This guide provides essential information about using the KendoReact Labels package—you will learn how to install the package and add free React Labels components to your project. The steps demonstrated in this guide are applicable to all KendoReact Labels.

After completing this guide, you will be able to reproduce the following example.

Example
View Source
Loading ...

Before You Begin

To follow the steps in this guide, you need to have a React project set up. If you don't have one, you can create a new React application using Vite by running the following command in your terminal:

sh
npm create vite@latest my-app -- --template react

This guide requires that you have basic knowledge of React and TypeScript, and that you have already created a blank React project.

You can speed up the development of your KendoReact application with the Kendo UI Template Wizard for Visual Studio Code.

Install the Components

The Label is not intended to be used as a standalone component, therefore you also need to import an Input or another focusable element and link the Label to it.

sh
npm i @progress/kendo-react-labels @progress/kendo-theme-meridian

Run these commands in the root of your React project to install the KendoReact Labels package and its dependencies, the KendoReact Inputs package and the Kendo UI Meridian theme.

Import the Components

Place the import statements in the App component file (for example: src/App.tsx) for your project. Note that the steps for installing and importing all Labels components are identical for all components in the package.

tsx
import { Label, Hint } from '@progress/kendo-react-labels';
import { Input } from '@progress/kendo-react-inputs';

Place the import statements in the App component file (for example: src/App.tsx) for your project. Note that the steps for installing and importing all Labels components are identical.

Use the Components

  1. After installing the Labels package and importing the components, add the Label, Hint and Inputs tags to the App component file of your React project (for example, src/App.tsx).

    tsx
    const App = () => {
        const editorId = 'firstName';
        return (
            <div>
                <Label editorId={editorId}>First Name&nbsp;</Label>
                <Input id={editorId} />
                <Hint id={editorId}>e.g. Peter</Hint>
            </div>
        );
    };
  2. Build and run the application by typing the following command in the root folder of your project:

    sh
    npm run dev
  3. Navigate to http://localhost:3000 to see the KendoReact Labels components on the page.

Style the Components

Are you looking for guidance around how to create visually appealing and consistent user interfaces with Telerik UI components? Check out the Progress Design System.

To use the built-in styling of the components start by installing a theme:

sh
npm i @progress/kendo-theme-meridian

With the import "@progress/kendo-theme-meridian/dist/all.css"; statement present in your code, you already have professionally designed styling applied to your app out-of-box. You can also try any of the other available Kendo UI Themes.

Next Steps

Now try to add another component from the Labels package yourself. The procedures for installing, importing, and using the Labels components are identical for all components in the package.

The Labels package provides the following components:

KendoReact Labels APIs

Labels API

KendoReact Labels Dependencies

The Labels package requires you to install the following peer dependencies in your application:

Package NameDescription
react 18.0.0*Contains the functionality necessary to define React components.
react-domContains the React renderer for the web.
@progress/kendo-licensingContains the internal infrastructure related to licensing.
@progress/kendo-react-intlContains the KendoReact Internationalization package that applies the desired cultures by providing services and pipes for the parsing and formatting of dates and numbers.
@progress/kendo-react-commonContains common utilities that enhance the performance and functionalities of the KendoReact UI components.